Schémata
Získat schéma
Načtení konkrétního schématu s úplnými definicemi sloupců.
GET
/
schemas
/
{schema_id}
Get schema details
curl --request GET \
--url https://app.productlasso.com/api/v1/schemas/{schema_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/schemas/{schema_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "9e1c77dd-8f10-41ca-bfe8-e672b89692d1",
"name": "Supplier products",
"description": "Core supplier feed fields",
"is_default": false,
"columns": [
{
"id": "8d79b7da-7134-443e-8110-678fe04de51b",
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text"
}
],
"created_at": "2026-08-31T09:00:00.000Z",
"updated_at": "2026-08-31T09:00:00.000Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}Autorizace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametry cesty
⌘I
Get schema details
curl --request GET \
--url https://app.productlasso.com/api/v1/schemas/{schema_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/schemas/{schema_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "9e1c77dd-8f10-41ca-bfe8-e672b89692d1",
"name": "Supplier products",
"description": "Core supplier feed fields",
"is_default": false,
"columns": [
{
"id": "8d79b7da-7134-443e-8110-678fe04de51b",
"attribute_id": "11111111-1111-4111-8111-111111111111",
"kind": "attribute",
"key": "product_name",
"label": "Product name",
"type": "text"
}
],
"created_at": "2026-08-31T09:00:00.000Z",
"updated_at": "2026-08-31T09:00:00.000Z"
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}
